@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;0,600;1,600&family=Nunito:ital,wght@0,400;0,600;1,400;1,600&family=Open+Sans:ital,wght@0,400;0,600;1,600&family=Roboto:ital,wght@0,400;0,500;1,400&family=Rubik&family=Varela&display=swap');
@import url("./home.css");
@import url("./about.css");
@import url("./news.css");
@import url("./map.css");
@import url("./broadband.css");
@import url("./policies.css");
@import url("./master.css");
@import url("./calspeed.css");
@import url("./options.css");
@import url("./documents.css");
@import url("./feedback.css");
@import url("./inventory.css");
@import url("./internetPrograms.css");

#coming_soon {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#coming_soon h2 {
    display: block;
    font-size: 29px;
    color: white;
    font-family: Garamond, serif;
}

#coming_soon h1 {
    font-size: 80px;
    color: white;
    font-family: Garamond, serif;
}

* {
    padding: 0;
    margin: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

html, body {
    height: 100%;
    width: 100%;
}

/******************************* 
        Custom Scrollbar
 *******************************/

/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
    background: #888; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

#scroll_elem {
    scroll-behavior: smooth;
}

.constrain {
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 1000px;
    margin: auto;
}

#header {
    position: fixed;
    width: 100%;
    height: 120px;
    background: rgba(0,0,0,.9);
    z-index: 5;
    -webkit-transition: all .5s;
    -moz-transition: all .5s;
    -o-transition: all .5s;
    transition: all .5s;
}

#header img {
    width: 111px;
    padding: .5em 0;
    pointer-events: none;
}

#header a {
    display: inline-block;
    vertical-align: top;
    width: 111px;
    max-height: 120px;
}

#header_right {
    position: relative;
    display: inline-block;
    vertical-align: top;
    width: calc(100% - 111px);
    height: 100%;
    color: white;
}

#header h2 {
    width: 100%;
    padding: 1.2em 0;
    text-align: center;
    -webkit-transition: all .3s;
    -moz-transition: all .3s;
    -o-transition: all .3s;
    transition: all .3s;
}

#header h2 span {
    font-size: 28px;
}

#header ul {
    position: absolute;
    display: flex;
    bottom: 0;
    list-style: none;
    width: 100%;
    text-align: center;
}

#header ul li {
    display: inline-block;
    flex-grow: 1;
    padding: .5em 0;
    cursor: pointer;
    -webkit-transition: all .5s;
    -moz-transition: all .5s;
    -o-transition: all .5s;
    transition: all .5s;
}

#drop_menus {
    position: fixed;
    width: 100%;
    height: auto;
    top: 120px;
    z-index: 5;
}

#drop_menus > div {
    position: relative;
    width: 100%;
    height: auto;
}

#drop_menus > div > ul {
    position: absolute;
    top: 0;
    list-style: none;
    z-index: 6;
    color: #4d4d4d;
    border-bottom: 4px solid gray;
    /*border-right: 1px solid lightgray;
    border-left: 1px solid lightgray;*/
    background: white;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
}

#drop_menus ul ul {
    display: none;
    list-style: none;
}

#drop_menus ul ul.active {
    display: block;
}

#drop_menus ul ul li {
    background: #d4d4d4;
    color: #000000;
    border-bottom: 1px solid #b1b1b1;
    padding-left: 1em;
}

#drop_menus ul ul li:before {
    display: inline-block;
    content: "";
    width: 10px;
    height: 10px;
    background: #8b8b8b;
    border-radius: 50%;
    margin-right: 1em;
}

#drop_menus p,
#drop_menus li {
    position: relative;
    padding: .8em .5em;
    border-bottom: 1px solid lightgray;
    cursor: pointer;
    font-size: 14px;
    z-index: 7;
    background: #4d4d4d;
    color: #ffffff;
}

#drop_menus p:after {
    content: "";
    position: absolute;
    right: 18px;
    width: 15px;
    height: 15px;
    border-top: 1px solid #ffffff;
    border-right: 1px solid #ffffff;
    transform: rotate(45deg);
}

#drop_menus p.active:after {
    transform: rotate(135deg);
    top: 7px;
    right: 15px;
}

#drop_menus li.active {
    background: #b36b00;
    color: #ffffff;
    cursor: default;
}

#drop_menus ul li:hover {
    background: #737373;
}

#drop_menus ul ul li:hover {
    background: #c0c0c0;
}

#drop_menus ul ul li.active:before {
    background: #ffffff;
}

#body {
    position: relative;
    width: 100%;
    height: auto;
    padding-top: 120px;
    margin: auto;
    z-index: 4;
    min-height: calc(100% - 80px);
}

#contents {
    width: 100%;
}

#footer {
    position: relative;
    width: 100%;
    height: 80px;
    border-top: 2px solid lightgray;
}

#footer .constrain {
    display: flex;
    align-items: center;
}

#footer p,
#footer a {
    display: inline-block;
    vertical-align: middle;
    flex-grow: 1;
    text-align: center;
}

#footer img {
    height: 65px;
    margin: 0 .5em;

    pointer-events: none;
}

#footer p {
    text-align: center;
    font-size: 12px;
    width: 500px;
}

#mobile_tab {
    display: none;
    position: fixed;
    top: 55px;
    left: 0;
    margin-left: 0;
    padding: 2em .6em;
    background: black;
    color: white;
    writing-mode: vertical-rl;
    text-orientation: mixed;
    z-index: 9999;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    opacity: .7;
    transition-property: all;
    transition-duration: .1s;
    transition-timing-function: cubic-bezier(0, 0, 1, 1);
}

#mobile_menu {
    display: none;
    position: fixed;
    top: 0;
    left: -250px;
    background: black;
    color: white;
    z-index: 9999;
    width: 250px;
    height: 100%;
    padding: .5em;
    overflow-y: auto;
    transition-property: all;
    transition-duration: .1s;
    transition-timing-function: cubic-bezier(0, 0, 1, 1);
}

#mobile_menu ul {
    list-style: none;
}

#mobile_menu .nav {
    padding: 1em 0 1em 1.2em;
    font-size: 14px;
}

#mobile_menu h4 {
    opacity: .6;
    padding: .4em 0 .2em 0;
    border-bottom: 1px solid white;
}

#mobile_menu .active {
    background: #333333;
}

@media only screen and (max-width: 800px) {
    #header {
        height: 80px !important;
    }

    #header a {
        height: 80px;
        width: auto;
    }

    #header img {
        height: 80px;
        width: auto;
        padding: 0 .5em;
    }

    #header h2 span {
        font-size: 22px;
    }

    #header h2 {
        font-size: 18px;
        padding: .4em 0 !important;
    }

    #header ul li {
        font-size: 14px;
    }

    #drop_menus {
        top: 80px !important;
    }

    #body {
        padding-top: 80px;
    }

    #footer img {
        height: 40px;
    }

    #coming_soon h2 {
        font-size: 18px;
    }

    #coming_soon h1 {
        font-size: 50px;
    }

    #file_link div:not(#calspeed_manual) {
        width: 88%;
        font-size: 14px;
    }
    .home_link_text {
        flex-direction: column;
    }
    #acp_link {
        width: calc(100% - 2em);
        margin: 0 1em 3em 1em;
    }
    #acp_link img {
        width: 80%;
    }
}

@media only screen and (max-width: 600px) {
    #nav_bar,
    #drop_menus {
        display: none;
    }

    #mobile_menu,
    #mobile_tab {
        display: block;
    }

    #header {
        height: 40px !important;
        position: relative;
    }

    #header a {
        display: inline-block;
        vertical-align: top;
        height: 40px;
        width: auto;
        padding-left: 5px;
    }

    #header img {
        height: 40px;
        width: auto;
        padding: 0 .2em;
    }

    #header h2 span {
        font-size: 18px;
    }

    #header h2 {
        display: inline-block;
        vertical-align: top;
        font-size: 14px;
        padding: .65em 0 !important;
    }

    #header_right {
        width: calc(100% - 55px);
    }

    #body {
        padding-top: 0;
    }

    #footer a:last-child {
        display: none;
    }

    #footer p {
        padding-right: .5em;
        font-size: 9px;
    }

    #coming_soon h2 {
        font-size: 12px;
    }

    #coming_soon h1 {
        font-size: 35px;
    }

    #acp_link img {
        width: 100%;
    }

    #calspeed_manual a,
    #file_link > div > a {
        font-size: 14px;
        text-align: center;
    }
}

@media only screen and (max-width: 420px) {

    #header_right {
        text-align: center;
    }

    #header h2 span {
        font-size: 12px;
    }

    #header h2 {
        font-size: 10px;
        padding: 1.3em 0 !important;
    }
}